{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/getreferraldata","title":"Get account referral data","description":"GET /v3-node-0/smartaccount/{address}/referral: Returns referral data for a smart account by address","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/getreferraldata","markdown":"https://docs.storm.tg/developers/operations/getreferraldata.md","json":"https://docs.storm.tg/developers/operations/getreferraldata.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/getreferraldata"},"operation":{"id":"GetReferralData","method":"GET","path":"/v3-node-0/smartaccount/{address}/referral","summary":"Get account referral data","description":"Returns referral data for a smart account by address","tags":["Smart accounts"],"deprecated":false,"parameters":[{"name":"address","location":"path","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string","required":true,"description":"Smart account address","example":"string"}],"bodies":[],"responses":[{"status":"200","description":"OK","mediaType":"application/json","properties":[{"name":"active","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"created_at","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"discount","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"owner","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"rebate","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"referrer","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"updated_at","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.types.ReferrerData","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"active","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"created_at","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"discount","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"owner","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"rebate","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"referrer","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"updated_at","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"active\": true,\n  \"created_at\": \"string\",\n  \"discount\": 0,\n  \"owner\": {},\n  \"rebate\": 0,\n  \"referrer\": {},\n  \"updated_at\": \"string\"\n}","headers":[]},{"status":"400","description":"Bad Request","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.ErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}","headers":[]},{"status":"500","description":"Internal Server Error","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.ErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request GET 'https://api.storm.tg/v3-node-0/smartaccount/{address}/referral' \\\n  --header 'Accept: application/json'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/v3-node-0/smartaccount/{address}/referral\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/v3-node-0/smartaccount/{address}/referral\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"Get account referral data","url":"https://docs.storm.tg/developers/operations/getreferraldata"}],"headings":[{"depth":2,"id":"parameters","title":"Parameters"},{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# Get account referral data\n\n`GET /v3-node-0/smartaccount/{address}/referral`\n\nReturns referral data for a smart account by address\n\n## Authorization\n\n\n\n## Parameters\n\n- path: address (string; required). Smart account address\n\nType: string\n\n## Example · cURL\n\n```bash\ncurl --request GET 'https://api.storm.tg/v3-node-0/smartaccount/{address}/referral' \\\n  --header 'Accept: application/json'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/v3-node-0/smartaccount/{address}/referral\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/v3-node-0/smartaccount/{address}/referral\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Trading.types.ReferrerData\n\n**200** application/json — OK\n\nSchema: Trading.types.ReferrerData\n\nType: object\n\nRequired fields: none\n\n- active (boolean; optional)\n\nactive example: true\n\nactive.Type: boolean\n\n- created_at (string; optional)\n\ncreated_at example: string\n\ncreated_at.Type: string\n\n- discount (integer; optional)\n\ndiscount example: 0\n\ndiscount.Type: integer\n\n- owner (object; optional)\n\nowner example: {}\n\nowner.Schema: Trading.github_com_xssnick_tonutils-go_address.Address\n\nowner.Type: object\n\n- rebate (integer; optional)\n\nrebate example: 0\n\nrebate.Type: integer\n\n- referrer (object; optional)\n\nreferrer example: {}\n\nreferrer.Schema: Trading.github_com_xssnick_tonutils-go_address.Address\n\nreferrer.Type: object\n\n- updated_at (string; optional)\n\nupdated_at example: string\n\nupdated_at.Type: string\n\nExample\n\n\n\n```json\n{\n  \"active\": true,\n  \"created_at\": \"string\",\n  \"discount\": 0,\n  \"owner\": {},\n  \"rebate\": 0,\n  \"referrer\": {},\n  \"updated_at\": \"string\"\n}\n```\n\n## Response 400 · Trading.api.ErrorResponse\n\n**400** application/json — Bad Request\n\nSchema: Trading.api.ErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\n- msg (string; optional)\n\nmsg example: string\n\nmsg.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}\n```\n\n## Response 500 · Trading.api.ErrorResponse\n\n**500** application/json — Internal Server Error\n\nSchema: Trading.api.ErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\n- msg (string; optional)\n\nmsg example: string\n\nmsg.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}\n```","text":"Get account referral data Returns referral data for a smart account by address GET /v3-node-0/smartaccount/{address}/referral Smart accounts address Smart account address string 200 OK active boolean created_at string discount integer owner object rebate integer referrer object updated_at string 400 Bad Request code string error string externalQueryId string msg string 500 Internal Server Error code string error string externalQueryId string msg string","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}